Bug 251586 - [NEW PORT] sysutils/datadog-integrations: Datadog integrations
Summary: [NEW PORT] sysutils/datadog-integrations: Datadog integrations
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Mikael Urankar
URL:
Keywords:
Depends on: 250727
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-04 20:34 UTC by uros
Modified: 2021-01-08 17:11 UTC (History)
2 users (show)

See Also:


Attachments
patch for new port (50.61 KB, application/x-sh)
2020-12-04 20:34 UTC, uros
no flags Details
New fixed port (50.83 KB, text/plain)
2021-01-08 10:40 UTC, uros
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description uros 2020-12-04 20:34:44 UTC
Created attachment 220262 [details]
patch for new port

This is port for Datadog integrations
Comment 1 uros 2020-12-04 20:35:41 UTC
I have opened a port required to run this one available here

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=250727
Comment 2 daniel.engberg.lists 2020-12-05 14:16:18 UTC
I'm by no means a pyhton expert but it looks good to me.
I have on question however, are the patches backports?
Comment 3 uros 2020-12-05 20:02:29 UTC
patches fixes FreeBSD build since some things were not available and some are done differently.
Comment 4 Mikael Urankar freebsd_committer 2020-12-12 19:01:05 UTC
Thanks!
Comment 5 commit-hook freebsd_committer 2020-12-12 19:01:18 UTC
A commit references this bug:

Author: mikael
Date: Sat Dec 12 19:00:35 UTC 2020
New revision: 557860
URL: https://svnweb.freebsd.org/changeset/ports/557860

Log:
  sysutils/datadog-integrations: add port

  The Datadog Agent Integrations (also known as checks) supported by Datadog Agent

  WWW: https://www.datadoghq.com/

  PR:		251586
  Submitted by:	uros@gruber.si

Changes:
  head/sysutils/Makefile
  head/sysutils/datadog-integrations/
  head/sysutils/datadog-integrations/Makefile
  head/sysutils/datadog-integrations/distinfo
  head/sysutils/datadog-integrations/files/
  head/sysutils/datadog-integrations/files/patch-datadog__checks__base_datadog__checks_base_____init____.py
  head/sysutils/datadog-integrations/files/patch-datadog__checks__base_datadog__checks_base_types.py
  head/sysutils/datadog-integrations/files/patch-tls_datadog__checks_tls_tls.py
  head/sysutils/datadog-integrations/pkg-descr
  head/sysutils/datadog-integrations/pkg-plist
Comment 6 Mikael Urankar freebsd_committer 2020-12-12 19:07:15 UTC
reopen, there is a problem with the plist:
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: @dir %%ETCDIR%%/conf.d
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
Comment 7 Mikael Urankar freebsd_committer 2020-12-24 16:42:27 UTC
(In reply to uros from comment #3)
Can you have a look at the plist issue?
Comment 8 uros 2020-12-24 16:44:37 UTC
How can I replicate this on my end? Will this be visible through poudriere?
Comment 9 Mikael Urankar freebsd_committer 2020-12-24 16:59:40 UTC
(In reply to uros from comment #8)
yes, with poudriere testport
Comment 10 uros 2021-01-08 10:40:36 UTC
Created attachment 221380 [details]
New fixed port

Please use this one instead. Issue with etc folder should be now fixed
Comment 11 commit-hook freebsd_committer 2021-01-08 16:36:30 UTC
A commit references this bug:

Author: mikael
Date: Fri Jan  8 16:36:03 UTC 2021
New revision: 560794
URL: https://svnweb.freebsd.org/changeset/ports/560794

Log:
  sysutils/datadog-integrations: Fix poudriere testport

  PR:		251586
  Submitted by:	uros@gruber.si (maintainer)

Changes:
  head/sysutils/datadog-integrations/Makefile
  head/sysutils/datadog-integrations/pkg-plist
Comment 12 Mikael Urankar freebsd_committer 2021-01-08 16:36:45 UTC
Thanks!
Comment 13 uros 2021-01-08 17:11:05 UTC
Btw, I've submited upgrade for datadog-agent and I have a plan to submit for datadog-extensions upgrade